1 Reply Latest reply on May 25, 2014 9:35 PM by Fg Ning

    how to change the rotate angle of move/copy feature by API

    Fg Ning

      dear all

      i want to Reset the value of rotate angle of move /copy feature by API ,while i failed. the feature is show below

      Ashampoo_Snap_2014.05.26_09h12m47s_003_.jpg

      Sub main()

       

       

      Set swApp = Application.SldWorks

       

       

      Set Part = swApp.ActiveDoc

       

      Set moveCopyFeat = Part.FeatureByName("实体-移动/复制1")

       

        Set moveCopy_featData = moveCopyFeat.GetDefinition

       

      copycount = moveCopy_featData.GetBodiesCount

       

      boolstatus = Part.EditRebuild3()

      Part.ClearSelection2 True

      End Sub

       

      in fact ,i don't know how to find the parameters in features.usually ,i use macro-recorder to get the relevant parameters and then change the value .while as to these parameters in features, while i use macro recorder to modify them ,the modifying process couldn't be recorded in the macro file which lead to my difficulties to change these parameters .so anyone can teach me how the change these parameters in features .

       

      many thanks!!